/*====================ÉCOLE POLYTECHNIQUE DE MONTRÉAL============================

	NOM DU FICHIER :CJoueur.h

	DESCRIPTION :	Déclaration des fonctions de la classe traitant le joueur

	AUTEUR : Martin Bisson, Anne-Marie Buki, Mylene Denis & Jean-Francois Pérusse

	DATE DE CRÉATION : 2004-3-16

	MISES À JOUR :

===============================================================================*/
#ifndef CJOUEUR_H
#define CJOUEUR_H

#include <qstring.h>
#include <vector>

using namespace std;

class CJoueur {
public:

    const QString& getNom() const;
    void setNom(const QString& nom);
	void AjoutPointage( int NbCoups );
	const std::vector<int>& getPointage() const { return Pointage; }

private:
    QString nom;
    std::vector<int> Pointage;
};
#endif //CJOUEUR_H
